"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  Options: () => import_babel_plugin_jsx2.Options,
  default: () => src_default
});
module.exports = __toCommonJS(src_exports);
var import_babel_plugin_jsx2 = __toESM(require("@expressive/babel-plugin-jsx"));

// src/css.ts
var import_babel_plugin_jsx = require("@expressive/babel-plugin-jsx");
function addStyle(...args) {
  this.addStyle(this.name, ...args);
}
var CSS = (_compiler, options = {}) => {
  const {
    hot = true,
    extractCss,
    cssModule,
    printStyle
  } = options;
  return {
    visitor: {
      Program: {
        exit(path) {
          const {
            declared,
            file,
            filename,
            module: module2
          } = path.data.context;
          const stylesheet = generateCSS(declared, printStyle == "pretty");
          if (stylesheet)
            if (extractCss) {
              if (cssModule === false)
                extractCss(stylesheet);
              else {
                const cssModulePath = extractCss(stylesheet);
                const style = file.ensureUIDIdentifier("css");
                file.ensure(cssModulePath, "default", style);
              }
            } else {
              const args = [];
              const config = {};
              if (hot)
                config.refreshToken = import_babel_plugin_jsx.t.literal((0, import_babel_plugin_jsx.hash)(filename, 10));
              if (module2)
                config.module = import_babel_plugin_jsx.t.literal(module2);
              if (Object.keys(config).length)
                args.push(import_babel_plugin_jsx.t.object(config));
              path.pushContainer("body", [
                import_babel_plugin_jsx.t.statement(
                  import_babel_plugin_jsx.t.call(
                    file.ensure("$runtime", "default", "css"),
                    import_babel_plugin_jsx.t.template(`
${stylesheet.replace(/^/gm, "	")}
`),
                    ...args
                  )
                )
              ]);
            }
        }
      }
    }
  };
};
function generateCSS(declared, pretty) {
  if (declared.size == 0)
    return "";
  const media = { default: [] };
  for (const item of declared) {
    let { priority = 0 } = item;
    for (let x = item.container; x; )
      if (x = x.container)
        priority += 0.1;
    const query = media["default"];
    const group = priority in query ? query[priority] : query[priority] = [];
    group.push(item);
  }
  const lines = [];
  for (const query in media) {
    const group = media[query];
    const index = Object.keys(group).map(Number).sort((a, b) => a - b);
    for (const priority of index) {
      if (!pretty)
        lines.push(`/* ${priority.toFixed(1).replace(/\.0$/, "")} */`);
      for (const item of group[priority])
        lines.push(...printStyles(item, pretty));
    }
  }
  return lines.join("\n");
}
function printStyles(item, pretty) {
  const lines = [];
  const select = item.selector.map((select2) => {
    const selection = [select2];
    for (let x = item; x = x.within; )
      selection.unshift(x.selector[0]);
    return selection.join(" ");
  });
  const styles = item.sequence.filter((x) => x instanceof import_babel_plugin_jsx.Style && x.invariant);
  const rules = styles.map((style) => {
    let styleKey = style.name;
    if (typeof styleKey == "string")
      styleKey = (0, import_babel_plugin_jsx.pascalToDash)(styleKey);
    let line = `${styleKey}: ${style.value}`;
    if (style.important)
      line += " !important";
    if (pretty)
      line = "	" + line;
    return `${line};`;
  });
  if (pretty) {
    const final = select.pop();
    for (const alternate of select)
      lines.push(alternate + ",");
    lines.push(`${final} {`, ...rules, "}");
  } else
    lines.push(`${select} { ${rules.join(" ")} }`);
  return lines;
}

// src/macros/index.js
var macros_exports = {};
__export(macros_exports, {
  absolute: () => absolute,
  aspectSize: () => aspectSize,
  background: () => background,
  backgroundImage: () => backgroundImage,
  backgroundSize: () => backgroundSize,
  bg: () => background,
  border: () => border,
  borderB: () => borderBottom,
  borderBottom: () => borderBottom,
  borderL: () => borderLeft,
  borderLeft: () => borderLeft,
  borderR: () => borderRight,
  borderRadius: () => borderRadius,
  borderRight: () => borderRight,
  borderT: () => borderTop,
  borderTop: () => borderTop,
  bottom: () => bottom,
  circle: () => circle,
  easingGradient: () => easingGradient,
  family: () => fontFamily,
  fixed: () => fixed,
  flexAlign: () => flexAlign,
  font: () => font,
  fontFamily: () => fontFamily,
  fontSize: () => fontSize,
  gap: () => gap,
  gridArea: () => gridArea,
  gridColumn: () => gridColumn,
  gridColumns: () => gridColumns,
  gridRow: () => gridRow,
  gridRows: () => gridRows,
  height: () => height,
  icon: () => icon,
  image: () => image,
  left: () => left,
  lineHeight: () => lineHeight,
  margin: () => margin,
  marginB: () => marginBottom,
  marginBottom: () => marginBottom,
  marginH: () => marginHorizontal,
  marginHorizontal: () => marginHorizontal,
  marginL: () => marginLeft,
  marginLeft: () => marginLeft,
  marginR: () => marginRight,
  marginRight: () => marginRight,
  marginT: () => marginTop,
  marginTop: () => marginTop,
  marginV: () => marginVertical,
  marginVertical: () => marginVertical,
  maxHeight: () => maxHeight,
  maxSize: () => maxSize,
  maxWidth: () => maxWidth,
  minHeight: () => minHeight,
  minSize: () => minSize,
  minWidth: () => minWidth,
  nToNUnits: () => nToNUnits,
  outline: () => outline,
  outlineWidth: () => outlineWidth,
  padding: () => padding,
  paddingH: () => paddingHorizontal,
  paddingHorizontal: () => paddingHorizontal,
  paddingV: () => paddingVertical,
  paddingVertical: () => paddingVertical,
  radius: () => radius,
  relative: () => relative,
  right: () => right,
  shadow: () => shadow,
  size: () => size,
  top: () => top,
  width: () => width
});

// src/macros/util.js
function pascalToDash2(x) {
  return x.replace(/([A-Z]+)/g, "-$1").toLowerCase();
}
function addUnit(n) {
  if (isNaN(n))
    return n;
  if (n == 0)
    return 0;
  if (parseInt(n) === n)
    return n + "px";
  return n + "em";
}
function appendUnitToN(val, unit) {
  if (val === 0)
    return "0";
  if (val === void 0)
    return "";
  if (typeof val == "string" && /\./.test(val) && !isNaN(parseFloat(val)))
    return val + (unit || "em");
  if (parseInt(val) === val)
    return val + (unit || "px");
  return val;
}

// src/macros/border.js
function factory(dir) {
  const key = dir ? "border" + dir[0].toUpperCase() + dir.slice(1) : "border";
  return function handler(color, width2, borderStyle) {
    return {
      [key]: !width2 && color.indexOf(" ") > 0 ? color : _border(color, width2, borderStyle)
    };
  };
}
function _border(color = "black", width2 = 1, style = "solid") {
  if (color == "none")
    return "none";
  else {
    width2 = appendUnitToN(width2);
    return [color, style, width2].join(" ");
  }
}
var border = factory();
var borderTop = factory("top");
var borderLeft = factory("left");
var borderRight = factory("right");
var borderBottom = factory("bottom");
function outline(a, b) {
  if (a == "none")
    return {
      outline: "none"
    };
  if (b == void 0)
    return {
      outline: `1px dashed ${a || "green"}`
    };
  const outline2 = Array.from(arguments).map((x) => typeof x == "number" ? `${x}px` : x).join(" ");
  return {
    outline: outline2
  };
}

// src/macros/color.js
function background(a) {
  if (Array.isArray(a)) {
    const [head, ...tail] = a;
    switch (head) {
      case "rgb":
      case "rgba": {
        const { value } = rgba(...tail);
        return {
          backgroundColor: value
        };
      }
      case "hsl":
      case "hsla": {
        const { value } = hsla(...tail);
        return {
          backgroundColor: value
        };
      }
    }
  }
  return {
    background: Array.from(arguments)
  };
}
function rgba(r, g, b, a = 1) {
  for (const x of [r, g, b])
    if (typeof x != "number")
      throw new Error("malformed arguments in rgb statement");
  const rgb = [r, g, b].join(",");
  return {
    value: a == 1 ? `rgb(${rgb})` : `rgba(${rgb},${a})`
  };
}
function hsla(h, s, l, a = 1) {
  for (const x of [h, s, l])
    if (typeof x != "number")
      throw new Error("malformed arguments in hsl statement");
  const hsl = [h, s + "%", l + "%"].join(",");
  return {
    value: a == 1 ? `hsl(${hsl})` : `hsla(${hsl},${a})`
  };
}

// src/macros/flex.js
var DIRECTIONS = {
  right: "row",
  left: "row-reverse",
  up: "column-reverse",
  down: "column",
  row: null,
  column: null,
  "row-reverse": null,
  "column-reverse": null
};
function flexAlign() {
  const style = {
    display: "flex"
  };
  for (const arg of arguments) {
    if (arg in DIRECTIONS) {
      style.flexDirection = DIRECTIONS[arg] || arg;
    } else if (arg == "center") {
      style.justifyContent = "center";
      style.alignItems = "center";
    } else
      style.justifyContent = arg;
  }
  return style;
}

// src/macros/gradient.js
var chroma = require("chroma-js");
var easingCoordinates = require("easing-coordinates");
function easingGradient(direction, from, timing, to, stops = 13) {
  direction = direction.replace("-", " ");
  timing = pascalToDash2(timing);
  [from, to] = normalize(from, to);
  const output = [direction];
  const coordinates = easingCoordinates.easingCoordinates(
    timing,
    stops - 1
  );
  for (const xy of coordinates) {
    const { x: progress, y: delta } = xy;
    let color = roundHslAlpha(
      chroma.mix(from, to, delta, "lrgb").css("hsl")
    );
    if (progress % 1)
      color += " " + (progress * 100).toFixed(2) + "%";
    output.push(color);
  }
  return {
    backgroundImage: `linear-gradient(${output.join(", ")})`
  };
}
function getBeforeParenthesisMaybe(str) {
  return str.indexOf("(") !== -1 ? str.substring(0, str.indexOf("(")) : str;
}
function getParenthesisInsides(str) {
  return str.match(/\((.*)\)/).pop();
}
function roundHslAlpha(color) {
  const prefix = getBeforeParenthesisMaybe(color);
  const values = getParenthesisInsides(color).split(",").map((string) => string.includes("%") ? string.trim() : string.length > 4 ? Number(string).toFixed(3) : string);
  return `${prefix}(${values.join(", ")})`;
}
function normalize(...colors) {
  return colors.map((color, i) => color === "transparent" ? chroma(colors[Math.abs(i - 1)]).alpha(0).css("rgb") : color);
}

// src/macros/grid.js
function gridArea(...args) {
  if (args.length == 2)
    return {
      gridRow: recombineSlash(args[0]),
      gridColumn: recombineSlash(args[1])
    };
}
function gridRow(...args) {
  return {
    gridRow: recombineSlash(args)
  };
}
function gridColumn(...args) {
  return {
    gridColumn: recombineSlash(args)
  };
}
function gridRows(...args) {
  return {
    display: "grid",
    gridTemplateRows: recombineTemplate(args)
  };
}
function gridColumns(...args) {
  return {
    display: "grid",
    gridTemplateColumns: recombineTemplate(args)
  };
}
function recombineSlash(args) {
  args = [].concat(args);
  if (args[0] !== "-")
    return args[0];
  let layer = args;
  let x = "";
  while (true) {
    x = x + " / " + layer[2];
    if (Array.isArray(layer[1]))
      layer = layer[1];
    else {
      layer = layer[1] + x;
      break;
    }
  }
  return layer;
}
function recombineTemplate(args) {
  return args.map(formatGridValue).join(" ");
}
function formatGridValue(x) {
  if (typeof x == "number")
    return `${x}px`;
  if (typeof x !== "string")
    throw new Error("Unexpected value for grid");
  if (/^\d+\.\d+$/.test(x))
    return `${x}fr`;
  if (x == "min" || x == "max")
    return `${x}-content`;
  return x;
}

// src/macros/image.js
function image(a) {
  return {
    backgroundImage: `url("${a}")`
  };
}
function requireExpression(value) {
  return {
    type: "CallExpression",
    callee: { type: "Identifier", name: "require" },
    arguments: [
      { type: "StringLiteral", value }
    ]
  };
}
function backgroundImage(from) {
  if (/^\.\.?\//.test(from))
    return {
      backgroundImage: {
        type: "TemplateLiteral",
        expressions: [
          requireExpression(from)
        ],
        quasis: [
          {
            type: "TemplateElement",
            value: {
              raw: "url(",
              cooked: "url("
            },
            tail: false
          },
          {
            type: "TemplateElement",
            value: {
              raw: ")",
              cooked: ")"
            },
            tail: true
          }
        ]
      }
    };
  if (typeof from == "object" && !from.named)
    return {
      backgroundImage: from
    };
  return {
    backgroundImage: Array.from(arguments)
  };
}
function icon(mask, color) {
  if (!mask)
    return;
  if (!mask.includes(".svg"))
    mask = mask.concat(".svg");
  const output = {
    WebkitMaskImage: `url("${mask}")`
  };
  if (color)
    output.bg = color;
  return output;
}

// src/macros/margins.js
function margin(a1) {
  let margin2;
  if (arguments.length == 1 && a1 == "auto" || a1 == "none" || / /.test(a1))
    margin2 = a1;
  else
    margin2 = Array.from(arguments).map((x) => appendUnitToN(x)).join(" ");
  return {
    margin: margin2
  };
}
function padding(a1) {
  let padding2;
  if (arguments.length == 1 && a1 == "auto" || a1 == "none" || / /.test(a1))
    padding2 = a1;
  else
    padding2 = Array.from(arguments).map((x) => appendUnitToN(x)).join(" ");
  return {
    padding: padding2
  };
}
function marginTop(...args) {
  return {
    marginTop: appendUnitToN(...args)
  };
}
function marginLeft(...args) {
  return {
    marginLeft: appendUnitToN(...args)
  };
}
function marginRight(...args) {
  return {
    marginRight: appendUnitToN(...args)
  };
}
function marginBottom(...args) {
  return {
    marginBottom: appendUnitToN(...args)
  };
}
function paddingHorizontal(a, b) {
  return {
    paddingLeft: a,
    paddingRight: b || a
  };
}
function paddingVertical(a, b) {
  return {
    paddingTop: a,
    paddingBottom: b || a
  };
}
function marginHorizontal(a, b) {
  return {
    marginLeft: a,
    marginRight: b || a
  };
}
function marginVertical(a, b) {
  return {
    marginTop: a,
    marginBottom: b || a
  };
}

// src/macros/position.js
function absolute(...args) {
  return position("absolute", ...args);
}
function fixed(...args) {
  return position("fixed", ...args);
}
function relative() {
  return {
    position: "relative"
  };
}
var INVERSE = {
  top: "bottom",
  left: "right",
  right: "left",
  bottom: "top"
};
function position(kind, a, b = 0, c = b, d) {
  const out = {
    position: kind,
    top: b,
    left: c,
    right: c,
    bottom: b
  };
  if (a == "fill")
    return out;
  if (typeof a == "string") {
    const [k1, k2] = a.split("-");
    if (k2) {
      if (k1 == "fill")
        delete out[INVERSE[k2]];
      else
        for (const dir of [k1, k2])
          delete out[INVERSE[dir]];
      return out;
    }
  }
  let top2;
  let left2;
  let right2;
  let bottom2;
  switch (arguments.length - 1) {
    case 0:
      a = 0;
    case 1:
      top2 = right2 = bottom2 = left2 = a;
      break;
    case 2:
      top2 = bottom2 = a;
      left2 = right2 = b;
      break;
    case 3:
      top2 = a;
      bottom2 = c;
      left2 = right2 = b;
      break;
    case 4:
      top2 = a;
      right2 = b;
      bottom2 = c;
      left2 = d;
      break;
    default:
      throw new Error("Too many arguments for css 4-way value.");
  }
  return {
    position: kind,
    top: top2,
    right: right2,
    bottom: bottom2,
    left: left2
  };
}

// src/macros/radius.js
var CORNER_MATRIX = {
  top: [1, 1, 0, 0],
  left: [1, 0, 0, 1],
  right: [0, 1, 1, 0],
  bottom: [0, 0, 1, 1]
};
function radius(dir, r1, r2) {
  let value = "";
  if (dir == "round")
    value = 999;
  else if (r1 === void 0)
    value = dir;
  else if (typeof dir == "string") {
    let [d1, d2] = dir.split("-");
    let matrix = CORNER_MATRIX[d1];
    if (d2)
      matrix = matrix.map((dir2, i) => {
        return CORNER_MATRIX[d2][i] ? dir2 : 0;
      });
    const radii = matrix.map((b) => {
      return (b ? r1 : r2) || 0;
    });
    value = radii.map(addUnit).join(" ");
  }
  return {
    borderRadius: addUnit(value)
  };
}
function circle(a) {
  return {
    borderRadius: a / 2,
    size: a
  };
}

// src/macros/scalar.js
function nToNUnits(value, unit) {
  if (value == "fill")
    value = "100%";
  if (value.named) {
    unit = value.named;
    value = value.inner[0];
  }
  return [appendUnitToN(value, unit)];
}
var gap = nToNUnits;
var top = nToNUnits;
var left = nToNUnits;
var right = nToNUnits;
var bottom = nToNUnits;
var width = nToNUnits;
var height = nToNUnits;
var maxWidth = nToNUnits;
var maxHeight = nToNUnits;
var minWidth = nToNUnits;
var minHeight = nToNUnits;
var fontSize = nToNUnits;
var lineHeight = nToNUnits;
var outlineWidth = nToNUnits;
var borderRadius = nToNUnits;
var backgroundSize = nToNUnits;

// src/macros/shadow.js
function shadow(color, radius2 = 10, x = 2, y = x) {
  const boxShadow = color == "intial" || color == "none" ? color : `${x}px ${y}px ${radius2}px ${color}`;
  return {
    boxShadow
  };
}

// src/macros/size.js
function withPrefix(prefix) {
  const width2 = prefix ? `${prefix}Width` : "width";
  const height2 = prefix ? `${prefix}Height` : "height";
  return function size2(x, y, unit) {
    if (typeof y == "string" && typeof x == "number") {
      unit = y;
      y = null;
    }
    return {
      [width2]: [x, unit],
      [height2]: [y || x, unit]
    };
  };
}
var size = withPrefix();
var minSize = withPrefix("min");
var maxSize = withPrefix("max");
function aspectSize(x, y, unit) {
  const y2 = Math.abs(y);
  if (y2 && y2 < 1)
    if (y <= 0)
      y = x * y2;
    else {
      y = x;
      x *= y2;
    }
  return {
    width: [x, unit],
    height: [y || x, unit]
  };
}

// src/macros/font.js
function font(...args) {
  const attrs = {};
  for (const x of args)
    if (x % 100 === 0)
      attrs.fontWeight = x;
    else if (isNaN(x) === false)
      attrs.fontSize = x;
    else if (typeof x === "string")
      attrs.fontFamily = x;
  return { attrs };
}
function fontFamily() {
  return {
    fontFamily: Array.from(arguments).map(quoteIfWhitespace).join(", ")
  };
}
function quoteIfWhitespace(font2) {
  return ~font2.indexOf(" ") ? `"${font2}"` : font2;
}

// src/pseudo/index.js
var pseudo_exports = {};
__export(pseudo_exports, {
  css: () => css2
});

// src/pseudo/contingent.js
function selectAlso() {
  forEachChild(this.body, (select, body) => {
    this.setContingent(select, 5, body);
  });
}
function selectChild() {
  forEachChild(this.body, (select, body) => {
    select = select.map((x) => " " + x);
    this.setContingent(select, 5, body);
  });
}
function forEachChild(body, callbackfn) {
  if (!body)
    return;
  body = body.isBlockStatement() ? body.get("body") : [body];
  for (const item of body)
    switch (item.type) {
      case "LabeledStatement": {
        const className = item.node.label.name;
        const body2 = item.get("body");
        callbackfn([`.${className}`], body2);
        break;
      }
      case "IfStatement": {
        const { test } = item.node;
        const select = test.expressions || [test];
        const selectors = select.map((x) => {
          if (x.type !== "StringLiteral")
            throw new Error("CSS if(selector) only support strings right now.");
          return x.value;
        });
        callbackfn(selectors, item.get("consequent"));
        break;
      }
      default:
        throw new Error("css modifier blew up");
    }
}
var contingent_default = {
  if: selectAlso,
  self: selectAlso,
  child: selectChild
};

// src/pseudo/pseudo.js
var css = {};
var STATE = [
  "hover",
  "active",
  "focus",
  "valid",
  "invalid",
  "visited",
  "empty",
  "target",
  "checked",
  "disabled",
  "outOfRange"
];
var INDEX = [
  "firstChild",
  "lastChild",
  "onlyChild",
  "firstOfType",
  "lastOfType",
  "onlyOfType"
];
for (const name of [...STATE, ...INDEX])
  css[name] = function() {
    const select = ":" + pascalToDash2(name);
    this.setContingent(select, 6);
  };
var SPECIFIC = [
  "not",
  "nthChild",
  "nthLastChild",
  "nthOfType",
  "nthLastOfType"
];
for (const name of SPECIFIC)
  css[name] = function() {
    const select = ":" + pascalToDash2(name);
    const innerBody = this.body.node.body;
    let specifier;
    const i = innerBody.findIndex((x) => x.label.name === "select");
    if (i >= 0) {
      specifier = innerBody[i].body.expression.value;
      innerBody.splice(i, 1);
    }
    this.setContingent(select + `(${specifier || "0"})`, 6);
  };
var PSEUDO = [
  "selection",
  "after",
  "before",
  "placeholder"
];
for (const name of PSEUDO) {
  css[name] = function() {
    const select = "::" + pascalToDash2(name);
    const mod = this.setContingent(select, 6);
    const content = mod.hasStyle("content");
    if (content)
      content.value = `"${content.value}"`;
    else
      mod.addStyle("content", `""`);
  };
}
var pseudo_default = css;

// src/pseudo/media.js
var MIN_MAX = {
  ">": "min-",
  "<": "max-",
  "==": "",
  ">=": -1,
  "<=": 1
};
var SIZE = {
  width: "width",
  height: "height",
  deviceHeight: "device-height",
  deviceWidth: "device-width"
};
var SPECIAL = {
  WebkitDevicePixelRatio: "-webkit-device-pixel-ratio"
};
var KEYWORD = {
  landscape: "(orientation: landscape)",
  portrait: "(orientation: portrait)"
};
function handleQuery(e) {
  if (typeof e == "string" && KEYWORD[e])
    return KEYWORD[e];
  if (e.type != "binary")
    return;
  let { operator, right: right2, left: left2 } = e;
  if (operator[1] == "==") {
    right2 += MIN_MAX[operator];
    operator = operator[0];
  }
  const op = MIN_MAX[operator];
  let key = SIZE[left2];
  if (key && typeof right2 == "number")
    right2 += "px";
  else
    key = SPECIAL[left2];
  if (key && op !== void 0)
    return `(${op}${key}: ${right2})`;
}
function screen() {
  let { body } = this;
  body = body.type == "BlockStatement" ? body.get("body") : body.type == "IfStatement" ? [body] : [];
  for (const node of body)
    if (node.type == "IfStatement") {
      const query = this.parse(node.get("test")).map(handleQuery).join(" and ");
      this.declareMediaQuery(
        "only screen" + (query ? " and " + query : ""),
        node.get("consequent")
      );
    }
}
function mobile() {
  this.declareMediaQuery(
    "only screen and (max-width: 800px)",
    this.body
  );
}
var media_default = {
  screen,
  mobile
};

// src/pseudo/index.js
var css2 = {
  ...contingent_default,
  ...pseudo_default,
  ...media_default
};

// src/index.ts
var Preset = (_compiler, options = {}) => {
  let { macros = [], output = "js", ...opts } = options;
  return {
    plugins: [
      [CSS, opts],
      [import_babel_plugin_jsx2.default, {
        ...opts,
        output,
        macros: [
          macros_exports,
          pseudo_exports,
          ...macros,
          { default: addStyle }
        ]
      }]
    ]
  };
};
var src_default = Preset;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Options
});
